
function Skinner:GroupCalendar()

	if not self:isVersion("GroupCalendar", {"4.0b5", "4.0b6"}, GroupCalendar.VersionString) then return end
	
-->>-- Group Calendar Frame
	GroupCalendarFrame:SetWidth(GroupCalendarFrame:GetWidth() * FxMult + 20)
	GroupCalendarFrame:SetHeight(GroupCalendarFrame:GetHeight() * FyMult + 20)
	self:moveObject(GroupCalendarCloseButton, "-", 4, "+", 8)
	GroupCalendarFrameClock:Hide()
	self:keepFontStrings(GroupCalendarCalendarFrame)
	self:moveObject(GroupCalendarMonthYearText, "-", 13, nil, nil)
	self:moveObject(GroupCalendarCalendarFrameWeekdayLabel0, "-", 13, nil, nil)
	self:moveObject(GroupCalendarDay0, "-", 13, nil, nil)
	self:moveObject(GroupCalendarUseServerTime, nil, nil, "+", 13)
-->>-- Side Panel	
	self:keepFontStrings(GroupCalendarSideListScrollbarTrench)
	self:keepFontStrings(GroupCalendarSideListScrollFrame)
	self:skinScrollBar(GroupCalendarSideListScrollFrame)
	self:moveObject(GroupCalendarSidePanelCloseButton, "-", 4, "-", 4)
	self:keepFontStrings(GroupCalendarSidePanel)
	self:moveObject(GroupCalendarSidePanel, "-", 4, "-", 3)
	self:applySkin(GroupCalendarSidePanel)
-->-- Excluded Players
	GroupCalendarExcludeGroup:SetHeight(GroupCalendarExcludeGroup:GetHeight() + 5)
	self:skinEditBox(CalendarTrustedPlayerName, {9})
	self:keepFontStrings(CalendarExcludedPlayersListScrollFrame)
	self:skinScrollBar(CalendarExcludedPlayersListScrollFrame)
	self:keepFontStrings(CalendarExcludedPlayersList)
	self:applySkin(GroupCalendarExcludeGroup)
-->>-- About Frame
	self:moveObject(GroupCalendarAboutTitleVersion, "-", 10, nil, nil)
	self:moveObject(GroupCalendarGuildURL, "-", 10, nil, nil)
	self:keepFontStrings(GroupCalendarAboutFrame)
-->>-- Setup Frame	
	self:keepFontStrings(GroupCalendarSetupFrame)
	self:moveObject(self:getRegion(GroupCalendarSetupFrame, 1), "-", 13, "+", 15)
	self:moveObject(CalendarConfigModeMenu, "-", 13, "+", 30)
	self:keepFontStrings(CalendarConfigModeMenu)
	self:keepFontStrings(GroupCalendarTrustMinRank)
	self:skinEditBox(GroupCalendarChannelName, {9})
	self:skinEditBox(GroupCalendarChannelPassword, {9})
	self:keepFontStrings(GroupCalendarFrame)
	self:applySkin(GroupCalendarFrame)
	-- Tabs
	self:keepRegions(GroupCalendarFrameTab1, {7, 8})
	self:keepRegions(GroupCalendarFrameTab2, {7, 8})
	self:keepRegions(GroupCalendarFrameTab3, {7, 8})
	self:moveObject(GroupCalendarFrameTab1, nil, nil, "-", 21)
	self:moveObject(GroupCalendarFrameTab2, "+", 10, nil, nil)
	self:moveObject(GroupCalendarFrameTab3, "+", 10, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(GroupCalendarFrameTab1, nil, 0)
	else self:applySkin(GroupCalendarFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(GroupCalendarFrameTab2, nil, 0)
	else self:applySkin(GroupCalendarFrameTab2) end
	if self.db.profile.TexturedTab then self:applySkin(GroupCalendarFrameTab3, nil, 0)
	else self:applySkin(GroupCalendarFrameTab3) end
	self:setActiveTab(GroupCalendarFrameTab1)
	self:setInactiveTab(GroupCalendarFrameTab2)
	self:setInactiveTab(GroupCalendarFrameTab3)
	
	self:SecureHook(GroupCalendar, "ShowPanel", function(pPanelIndex)
		self:setInactiveTab(GroupCalendarFrameTab1)
		self:setInactiveTab(GroupCalendarFrameTab2)
		self:setInactiveTab(GroupCalendarFrameTab3)
		self:setActiveTab(_G["GroupCalendarFrameTab"..GroupCalendarFrame.selectedTab])
		end)
	
-->>-- Calendar Editor Frame
	CalendarEditorFrame:SetWidth(GroupCalendarFrame:GetWidth())
	CalendarEditorFrame:SetHeight(GroupCalendarFrame:GetHeight())
	self:moveObject(CalendarEditorCloseButton, "-", 4, "-", 4)
	self:keepFontStrings(CalendarEditorScrollFrame)
	self:skinScrollBar(CalendarEditorScrollFrame)
	self:keepFontStrings(CalendarEditorScrollbarTrench)
	self:keepFontStrings(CalendarEditorFrame)
	self:moveObject(CalendarEditorFrame, "-", 4, "+", 21)
	self:applySkin(CalendarEditorFrame)

-->>-- Calendar Event Editor Frame
	CalendarEventEditorFrame:SetWidth(CalendarEditorFrame:GetWidth())
	CalendarEventEditorFrame:SetHeight(CalendarEditorFrame:GetHeight())
	self:moveObject(CalendarEventEditorCloseButton, "-", 4, "-", 4)
	CalendarEventEditorEventBackground:Hide()
	self:keepFontStrings(CalendarEventEditorEventTypeMenu)
	self:skinEditBox(CalendarEventTitle, {9})
	self:keepFontStrings(CalendarEventEditorTimeHour)
	self:keepFontStrings(CalendarEventEditorTimeMinute)
	self:keepFontStrings(CalendarEventEditorTimeAMPM)
	self:moveObject(CalendarEventEditorTimeZone, "+", 160, nil, nil)
	self:keepFontStrings(CalendarEventEditorDurationMenu)
	self:skinEditBox(CalendarEventMinLevel, {9})
	self:skinEditBox(CalendarEventMaxLevel, {9})
	CalendarEventDescriptionFrame:SetWidth(CalendarEventDescriptionFrame:GetWidth() + 10)
	CalendarEventDescriptionFrame:SetHeight(CalendarEventDescriptionFrame:GetHeight() + 10)
	self:moveObject(self:getRegion(CalendarEventDescriptionScrollFrame, 1), "-", 10, "+", 3)
	self:moveObject(CalendarEventDescription, "-", 5, nil, nil)
	self:keepFontStrings(CalendarEventDescriptionFrame)
	self:applySkin(CalendarEventDescriptionFrame)
	self:moveObject(CalendarEventDescriptionScrollFrame, "+", 8, "-", 7)
	self:keepFontStrings(CalendarEventDescriptionScrollFrame)
	self:skinScrollBar(CalendarEventDescriptionScrollFrame)
	self:keepFontStrings(CalendarEventEditorFrame)
	self:moveObject(CalendarEventEditorFrame, "-", 4, "+", 21)
	self:applySkin(CalendarEventEditorFrame)
	-- Tabs
	self:keepRegions(CalendarEventEditorFrameTab1, {7, 8})
	self:keepRegions(CalendarEventEditorFrameTab2, {7, 8})
	self:moveObject(CalendarEventEditorFrameTab1, nil, nil, "+", 5)
	self:moveObject(CalendarEventEditorFrameTab2, "-", 10, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventEditorFrameTab1, nil, 0)
	else self:applySkin(CalendarEventEditorFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventEditorFrameTab2, nil, 0)
	else self:applySkin(CalendarEventEditorFrameTab2) end
	self:setActiveTab(CalendarEventEditorFrameTab1)
	self:setInactiveTab(CalendarEventEditorFrameTab2)
	
	self:SecureHook(GroupCalendar.EventEditor, "ShowPanel", function(pPanelIndex)
		self:setInactiveTab(CalendarEventEditorFrameTab1)
		self:setInactiveTab(CalendarEventEditorFrameTab2)
		self:setActiveTab(_G["CalendarEventEditorFrameTab"..CalendarEventEditorFrame.selectedTab])
		end)

-->>-- Calendar Event Editor Attendance Frame
	self:keepRegions(CalendarEventEditorAttendanceExpandAll, {7, 8})
	self:keepRegions(CalendarEventEditorAttendanceGroupTab, {7, 8})
	self:keepFontStrings(CalendarEventEditorAttendanceViewMenu)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewClassTotals)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewRoleTotals)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewAutoConfirm)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewAutoConfirmMenu)
	self:keepFontStrings(CalendarEventEditorAttendanceMainGroupView)
	self:keepFontStrings(CalendarEventEditorAttendanceScrollFrame)
	self:skinScrollBar(CalendarEventEditorAttendanceScrollFrame)
	self:keepFontStrings(CalendarEventEditorAttendanceScrollbarTrench)
	self:keepFontStrings(CalendarEventEditorAttendance)
	self:keepFontStrings(CalendarEventEditorAttendanceFrame)

-->>-- Add Player Frame
	self:skinEditBox(CalendarAddPlayerFrameName, {9})
	self:keepFontStrings(CalendarAddPlayerFrameRankMenu)
	self:keepFontStrings(CalendarAddPlayerFrameRoleMenu)
	self:keepFontStrings(CalendarAddPlayerFrameStatusMenu)
	self:skinEditBox(CalendarAddPlayerFrameLevel, {9})
	self:keepFontStrings(CalendarAddPlayerFrameClassMenu)
	self:keepFontStrings(CalendarAddPlayerFrameRaceMenu)
	self:skinEditBox(CalendarAddPlayerFrameComment, {9})
	self:keepFontStrings(CalendarAddPlayerFrame)
	self:applySkin(CalendarAddPlayerFrame, true)
	self:keepFontStrings(CalendarAddPlayerFrameWhisper)
	self:skinEditBox(CalendarAddPlayerFrameWhisperReply, {9})

-->>-- Calendar Class Limits Frame
	self:skinEditBox(CalendarClassLimitsFrameDruidMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameDruidMax, {9})
	self:skinEditBox(CalendarClassLimitsFramePriestMin, {9})
	self:skinEditBox(CalendarClassLimitsFramePriestMax, {9})
	self:skinEditBox(CalendarClassLimitsFramePaladinMin, {9})
	self:skinEditBox(CalendarClassLimitsFramePaladinMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameHunterMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameHunterMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameRogueMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameRogueMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameShamanMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameShamanMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameMageMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameMageMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarlockMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarlockMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarriorMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarriorMax, {9})
	self:keepFontStrings(CalendarClassLimitsFrameMaxPartySize)
	self:applySkin(CalendarClassLimitsFrame, true)
	
end
